SoftwareEntwicklung Beratung Schulung

A coders, hackers heaven.....Hm...I do not think so...

Apache Maven Dependency Plugin Version 2.10 Released

| Comments

The Apache Maven team is pleased to announce the release of the Apache Maven Dependecy Plugin, version 2.10.

The dependency plugin provides the capability to manipulate artifacts. It can copy and/or unpack artifacts from local or remote repositories to a specified location.

You should specify the version in your project’s plugin configuration:

1
2
3
4
5
<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-dependency-plugin</artifactId>
  <version>2.10</version>
</plugin>

Release Notes – Maven Dependency Plugin – Version 2.10

Bugs:

  • MDEP-109 – Dependency plugin loses file permissions when unpacking or copying artifact items
  • MDEP-242 – Exclude does not work correctly for tar.gz (but is working for zip)
  • MDEP-397 – When using unpack-dependencies with a zip created on unixes, contained symlinks aren’t correctly unpackaged
  • MDEP-436 – German umlauts in outputDirectory and destFileName getting garbled
  • MDEP-466 – analyze fails on multimodule project (regression)

Improvements:

  • MDEP-465 – Update version of plexus-archiver from 2.4.4 to 2.9
  • MDEP-467 – Update plexus-io from 2.0.9 to 2.2
  • MDEP-472 – Upgrade to maven-plugins parent version 27

New Feature:

  • MDEP-476 – add the ability to ignore dependencies in the analyze-* goals

Enjoy,

-The Apache Maven team

Comments